/**
 * DevExtreme (renovation/ui/scroll_view/_toDelete/ui.scrollbar.js)
 * Version: 21.1.0 (build 21032-0316)
 * Build date: Mon Feb 01 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.default = void 0;
var _ui = _interopRequireDefault(require("../widget/ui.widget"));
var _common = require("../../core/utils/common");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
var Scrollbar = _ui.default.inherit({
    _toggleVisibility: function(visible) {
        if ("onScroll" === this.option("visibilityMode")) {
            this._$thumb.css("opacity")
        }
    },
    update: (0, _common.deferRenderer)((function() {
        this._adjustVisibility() && this.option("visible", true)
    }))
});
var _default = Scrollbar;
exports.default = _default;
module.exports = exports.default;
